Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(13)

Issue 13945017: External Stylesheets preloaded according to their media attribute (Closed)

Created:
6 years, 3 months ago by Yoav Weiss
Modified:
6 years, 3 months ago
CC:
blink-reviews, Dirk Pranke, M-A Ruel
Base URL:
https://chromium.googlesource.com/chromium/blink.git@master
Visibility:
Public.

Description

External Stylesheets preloaded according to their media attribute BUG= https://bugs.webkit.org/show_bug.cgi?id=106198 The PreloadScanner currently loads external style sheets with a non-matching media query, as long as the media type is "screen". This can result in unnecessary delay to the page's first paint, since these resource are "very low priority". Change description: The PreloadScanner passes the media attribute string to the ResourcePreloader, and the ResourcePreloader evaluates the MQs using the document's existing RenderStyle and Frame. The MQ resolution bits were moved to HTMLResourcePreloader.cpp, so this dependency is removed from HTMLPreloadScanner.cpp and added to HTMLResourcePreloader.cpp. RenderObject dependency added to HTMLResourcePreloader.cpp. Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=148161

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+67 lines, -21 lines) Patch
A LayoutTests/http/tests/loading/preload-css-test.html View 1 chunk +33 lines, -0 lines 0 comments Download
A + LayoutTests/http/tests/loading/preload-css-test-expected.txt View 1 chunk +2 lines, -0 lines 0 comments Download
A + LayoutTests/http/tests/loading/resources/big_mq.css View 0 chunks +-1 lines, --1 lines 0 comments Download
A + LayoutTests/http/tests/loading/resources/small_mq.css View 0 chunks +-1 lines, --1 lines 0 comments Download
M Source/WebCore/html/parser/HTMLPreloadScanner.cpp View 8 chunks +5 lines, -21 lines 0 comments Download
M Source/WebCore/html/parser/HTMLResourcePreloader.h View 3 chunks +10 lines, -2 lines 0 comments Download
M Source/WebCore/html/parser/HTMLResourcePreloader.cpp View 3 chunks +19 lines, -0 lines 0 comments Download

Messages

Total messages: 22 (0 generated)
Yoav Weiss
Hi, I've re-uploaded the change using "git cl" and added description. I'll delete the previous ...
6 years, 3 months ago (2013-04-10 20:06:56 UTC) #1
eseidel
lgtm
6 years, 3 months ago (2013-04-10 20:09:12 UTC) #2
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/yoav@yoav.ws/13945017/1
6 years, 3 months ago (2013-04-10 20:09:30 UTC) #3
eseidel
I think I have to make sure you've gone through: http://dev.chromium.org/developers/contributing-code/external-contributor-checklist Have you? We don't ...
6 years, 3 months ago (2013-04-10 20:10:34 UTC) #4
commit-bot: I haz the power
Presubmit check for 13945017-1 failed and returned exit status -2001. The presubmit check was hung. ...
6 years, 3 months ago (2013-04-10 20:15:38 UTC) #5
Yoav Weiss
On 2013/04/10 20:15:38, I haz the power (commit-bot) wrote: > Presubmit check for 13945017-1 failed ...
6 years, 3 months ago (2013-04-10 20:23:23 UTC) #6
eseidel
I suspect our tools may just be dumb and the fact that I removed the ...
6 years, 3 months ago (2013-04-10 20:31:34 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/yoav@yoav.ws/13945017/1
6 years, 3 months ago (2013-04-10 20:32:25 UTC) #8
commit-bot: I haz the power
Presubmit check for 13945017-1 failed and returned exit status -2001. The presubmit check was hung. ...
6 years, 3 months ago (2013-04-10 20:38:28 UTC) #9
eseidel
I'm sorry, I don't know how to interpret that message. Maybe Dirk or maruel do.
6 years, 3 months ago (2013-04-10 20:42:55 UTC) #10
eseidel
I'm sorry, I don't know how to interpret that message. Maybe Dirk or maruel do.
6 years, 3 months ago (2013-04-10 20:43:03 UTC) #11
Yoav Weiss
On 2013/04/10 20:43:03, Eric Seidel (Google) wrote: > I'm sorry, I don't know how to ...
6 years, 3 months ago (2013-04-10 20:50:31 UTC) #12
eseidel
I think the CQ is just wedged atm. I'm seeing this -2001 failure on other ...
6 years, 3 months ago (2013-04-10 20:56:06 UTC) #13
Yoav Weiss
On 2013/04/10 20:56:06, Eric Seidel (Google) wrote: > I think the CQ is just wedged ...
6 years, 3 months ago (2013-04-10 21:00:10 UTC) #14
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/yoav@yoav.ws/13945017/1
6 years, 3 months ago (2013-04-10 21:52:22 UTC) #15
commit-bot: I haz the power
Presubmit check for 13945017-1 failed and returned exit status -2001. The presubmit check was hung. ...
6 years, 3 months ago (2013-04-10 21:58:34 UTC) #16
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/yoav@yoav.ws/13945017/1
6 years, 3 months ago (2013-04-10 22:35:03 UTC) #17
commit-bot: I haz the power
Presubmit check for 13945017-1 failed and returned exit status -2001. The presubmit check was hung. ...
6 years, 3 months ago (2013-04-10 22:41:08 UTC) #18
abarth-chromium
The commit-queue seems broken. We should land this by hand. Eric, would you like to ...
6 years, 3 months ago (2013-04-10 22:42:04 UTC) #19
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/yoav@yoav.ws/13945017/1
6 years, 3 months ago (2013-04-11 05:13:47 UTC) #20
commit-bot: I haz the power
Presubmit check for 13945017-1 failed and returned exit status -2001. The presubmit check was hung. ...
6 years, 3 months ago (2013-04-11 05:19:55 UTC) #21
abarth-chromium
6 years, 3 months ago (2013-04-11 07:56:27 UTC) #22
Message was sent while issue was closed.
Committed patchset #1 manually as r148161 (presubmit successful).

Powered by Google App Engine
This is Rietveld 408576698